[PATCH] Fix parallel pylint in distcheck.

David Shea dshea at redhat.com
Wed Nov 20 18:28:53 UTC 2013


Fail in runpylint.sh if xargs exits unsuccessfully. Add pylint-one.sh to
dist.
---
 tests/Makefile.am         | 1 +
 tests/pylint/runpylint.sh | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/tests/Makefile.am b/tests/Makefile.am
index dc59daf..693f0f3 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -41,6 +41,7 @@ dist_check_SCRIPTS = accelerators/check_accelerators.py \
 		     nosetests.sh \
 		     pylint/intl.py \
 		     pylint/runpylint.sh \
+		     pylint/pylint-one.sh \
 		     testenv.sh \
 		     gettext/gettext_warnings.sh \
 		     storage/run_storage_tests.py \
diff --git a/tests/pylint/runpylint.sh b/tests/pylint/runpylint.sh
index e3c8a67..df8f243 100755
--- a/tests/pylint/runpylint.sh
+++ b/tests/pylint/runpylint.sh
@@ -91,7 +91,7 @@ fi
 
 num_cpus=$(getconf _NPROCESSORS_ONLN)
 # run pylint in paralel
-echo $FILES | xargs --max-procs=$num_cpus -n 1 "$srcdir"/pylint-one.sh
+echo $FILES | xargs --max-procs=$num_cpus -n 1 "$srcdir"/pylint-one.sh || exit 1
 
 for file in $(find -name 'pylint-out*'); do
     cat "$file" >> pylint-log
-- 
1.8.4.2



More information about the anaconda-patches mailing list